HINO Bugs - Bug #1064

Kolom Is Terminate & Terminate Date NULL di table PCMEPOMRECAP
04/18/2022 02:46 PM - ikawati basri

Status: Deploy Start date: 04/18/2022
Priority: High Due date: 04/22/2022
Assignee: ikawati basri % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Pak ucup,

hasil calculate OM Recap sudah sesaui dengan ORM, namun di field Isterminate & Terminate Date nya isinya NULL. Sehingga user
menjadi sulit membedakan employee yang sudah terminate dan yang masih aktif saat melakukan export data.
Terlampir query yang digunakan untuk melakukan generate OM recap di bawah ini.

Database: Remote Desktop > 192.168.3.105
SQL Server 2019 > MinovaES_HINO_Prod
Table: PCMSTSETTINGHEADER

Filter: StatisticTable > OMRC

Mohon Bantuannya pak. Terimakasih.

Salam,

Ika

History

#1 - 04/18/2022 02:56 PM - Mr. Yusuf
ikawati basri wrote:
Pak ucup,
hasil calculate OM Recap sudah sesaui dengan ORM, namun di field Isterminate & Terminate Date nya isinya NULL. Sehingga user menjadi
sulit membedakan employee yang sudah terminate dan yang masih aktif saat melakukan export data.
Terlampir query yang digunakan untuk melakukan generate OM recap di bawah ini.
Database: Remote Desktop > 192.168.3.105
SQL Server 2019 > MinovaES_HINO_Prod
Table: PCMSTSETTINGHEADER
Filter: StatisticTable > OMRC
Mohon Bantuannya pak. Terimakasih.

Salam,

lka

Contoh EmployeelDnya berapa?

#2 - 04/18/2022 04:00 PM - ikawati basri
ini pak:

00000019

employee yang sudah terminate

#3 - 04/18/2022 04:02 PM - ikawati basri

- Status changed from New to Deploy

- Assignee changed from Mr. Yusuf to ikawati basri
Table yang diupdate adalah PCMSTSETTINGFIELD
StatisticType: OMRC
Field: IsTerminate

SourceDataSQLString (query yang diupdate)

Field: TerminateDate
SourceDataSQLString (query yang diupdate)

*sebelumnya part tersebut kosong, menyebabkan data IsTerminate & TerminateDate menjadi NULL

PCMSTSETTINGHEADER : untuk mendapatkan employee yang ada perubahan OM
PCMSTSETTINGFIELD : untuk mendapatkan table OM_Recap

Files
Query Calculate OM Recap.txt 3.91 KB 04/18/2022 ikawati basri
